Index: oem-config-1.37.2netbook6/d-i/source/user-setup/user-setup-apply
===================================================================
--- oem-config-1.37.2netbook6.orig/d-i/source/user-setup/user-setup-apply	2008-08-26 15:56:22.000000000 -0400
+++ oem-config-1.37.2netbook6/d-i/source/user-setup/user-setup-apply	2008-08-26 15:57:14.000000000 -0400
@@ -244,4 +244,13 @@
 	db_set passwd/user-password-again ''
 fi
 
+if [ -n "$USER" ]; then
+	HOSTNAME="$USER"
+else
+	HOSTNAME="ubuntu"
+fi
+$log $chroot $ROOT echo "$HOSTNAME" > /etc/hostname
+$log $chroot $ROOT echo "127.0.0.1 $HOSTNAME" >> /etc/hosts
+$log $chroot $ROOT hostname $HOSTNAME
+
 exit 0
